core::net::http::ContentType Struct Reference

Collection of known content types. More...

`#include <content_type.h>`

Collaboration diagram for core::net::http::ContentType:

## Public Member Functions

| ContentType ()=delete

## Static Public Attributes

static constexpr const char * | json
static constexpr const char * | xml
static constexpr const char * | x_www_form_urlencoded

## Detailed Description

Collection of known content types.

Definition at line 32 of file content_type.h.

## Constructor & Destructor Documentation

## ContentType()

core::net::http::ContentType::ContentType | ( |  | ) |

delete

## Member Data Documentation

## json

const char* core::net::http::ContentType::json

static constexpr

Initial value:
{
"application/json"
}

Definition at line 36 of file content_type.h.

## x_www_form_urlencoded

const char* core::net::http::ContentType::x_www_form_urlencoded

static constexpr

Initial value:
{
"application/x-www-form-urlencoded"
}

Definition at line 46 of file content_type.h.

## xml

const char* core::net::http::ContentType::xml

static constexpr

Initial value:
{
"application/xml"
}

Definition at line 41 of file content_type.h.

The documentation for this struct was generated from the following file:

- content_type.h